export declare class IdManager {
    ids: Array<true | false>;
    private index;
    private maxIndex;
    constructor(maxIndex: number);
    /**
     * Releases an id if it is not needed anymore.
     * It can the be reused.
     * @param id The id that is no longer needed.
     */
    release(id: number): void;
    /**
     * Reserves and returns an id that is currently not in use.
     */
    reserve(): number;
}
