import { TokenClientOptions } from 'token-server/build';
import { QueueClient } from '../queue/QueueClient';
export declare class CommandClient extends QueueClient {
    private ids;
    private callbacks;
    constructor(options: TokenClientOptions);
    command(command: number, payload: any, expiresIn: number): Promise<any>;
    private initEvents();
    private createTimeoutPromise(id, expiresIn);
    private createResponsePromise(id);
}
